Bug 198661 - %post does not get logged to /root/ks-post.log anymore
%post does not get logged to /root/ks-post.log anymore
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Steve Salevan
:
Depends On:
Blocks: 248627
  Show dependency treegraph
 
Reported: 2006-07-12 12:30 EDT by Matthew Davis
Modified: 2008-04-02 20:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 20:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Davis 2006-07-12 12:30:01 EDT
Description of problem:
Previous behavior logged all %post commands (custom & builtin).  See
http://satellite.gsslab.rdu.redhat.com/kickstart/ks/label/rhel-i386-as-2.1-u2-full
for an example.

Version-Release number of selected component (if applicable):
rhn-satellite-4.1.0-136-redhat-linux-as-i386-4-embedded-oracle.iso

How reproducible:
Everytime

Steps to Reproduce:
1. Create kickstart profile
2. Create a %post script
3. View kickstart and see if it is before or after the ") > /root/ks-post.log
2>&1" line.
  
Actual results:
Custom commands are after the ") > /root/ks-post" line which means the output of
custom scripts do not get logged.

Expected results:
Before
Comment 1 Mike McCune 2006-07-12 12:39:44 EDT
Matt and I talked about this on irc and we decided:

Going to move this to 420 with the suggestion that we make it a configurable
option in the kickstart profile to log the post scripts.

This will allow customers to provision machines and execute actions in the post
section with possibly security related information and will allow them to decide
if they want the commands logged or not.
Comment 2 Red Hat Bugzilla 2007-04-11 20:54:47 EDT
User bnackash@redhat.com's account has been closed
Comment 3 Brandon Perkins 2007-07-24 10:37:00 EDT
We think this is fixed.
Comment 5 Preethi Thomas 2007-11-05 14:55:06 EST
Fails_qa
Custom commands are after the ") > /root/ks-post" line as mentioned in the bug.
Comment 6 Justin Sherrill 2007-11-06 09:56:02 EST
checked in in rev 133524.

Note that this is a user configurable option.  On the main kickstart details
page for each profile there is now a checkbox for "Log custom post scripts".  

If enabled each post script is logged to /root/ks-post.log.
Comment 7 Justin Sherrill 2007-11-09 17:30:51 EST
moving on_qa
Comment 8 Steve Salevan 2007-11-27 17:24:10 EST
After creating a few custom scripts and enabling the option on the Kickstart
Details page, their output was logged, so I'm moving this bug to VERIFIED.
Comment 9 Brandon Perkins 2008-04-02 20:18:42 EDT
5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.